#ifndef MSP_DEMOSCENE_BEATCOUNTER_H_
#define MSP_DEMOSCENE_BEATCOUNTER_H_

#include <msp/datafile/collection.h>
#include <msp/gl/objectinstance.h>
#include <msp/gl/renderable.h>
#include <msp/gl/text.h>
#include "resources.h"
#include "action.h"

class BeatCounter: public Msp::GL::Renderable, public Action
{
private:
	Msp::GL::Text text;
	Msp::GL::ObjectInstance instance;

public:
	BeatCounter(Resources &);

	virtual void validate() const { }

	virtual void beat(int);

	virtual void render(Msp::GL::Renderer &, const Msp::GL::Tag &) const;
};

#endif
